<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mcwl.resource.mapper.CollectMapper">

    <select id="selectCollect" resultType="com.mcwl.resource.domain.Collect">
        select
            id,product_id,user_id,product_type
            FROM collect where product_id = #{productId} and user_id = #{userId} and product_type = #{productType}
    </select>

    <select id="selectCollectById" resultType="com.mcwl.resource.domain.Collect">
        select
            id,product_id,user_id,product_type
        FROM collect where product_id = #{modelId} and user_id = #{userIdMax} and product_type = #{type}
    </select>

</mapper>
